"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodeType = exports.toSingularAction = exports.cleanInitialState = exports.clearNodes = exports.analyzeStructure = exports.nodeToType = exports.generateSingle = exports.generateReducersForStore = exports.single_all = exports.collection_all = exports.generateActionsForStore = exports.generateActionTypesForStore = exports.generateActionTypesDictionaryForStore = void 0;
var actionTypes_1 = require("./actionTypes");
Object.defineProperty(exports, "generateActionTypesDictionaryForStore", { enumerable: true, get: function () { return actionTypes_1.generateActionTypesDictionaryForStore; } });
Object.defineProperty(exports, "generateActionTypesForStore", { enumerable: true, get: function () { return actionTypes_1.generateActionTypesForStore; } });
var actions_1 = require("./actions");
Object.defineProperty(exports, "generateActionsForStore", { enumerable: true, get: function () { return actions_1.generateActionsForStore; } });
Object.defineProperty(exports, "collection_all", { enumerable: true, get: function () { return actions_1.collection_all; } });
Object.defineProperty(exports, "single_all", { enumerable: true, get: function () { return actions_1.single_all; } });
var reducers_1 = require("./reducers");
Object.defineProperty(exports, "generateReducersForStore", { enumerable: true, get: function () { return reducers_1.generateReducersForStore; } });
Object.defineProperty(exports, "generateSingle", { enumerable: true, get: function () { return reducers_1.generateSingle; } });
var structure_1 = require("./structure");
Object.defineProperty(exports, "nodeToType", { enumerable: true, get: function () { return structure_1.nodeToType; } });
Object.defineProperty(exports, "analyzeStructure", { enumerable: true, get: function () { return structure_1.analyzeStructure; } });
Object.defineProperty(exports, "clearNodes", { enumerable: true, get: function () { return structure_1.clearNodes; } });
var initialState_1 = require("./initialState");
Object.defineProperty(exports, "cleanInitialState", { enumerable: true, get: function () { return initialState_1.cleanInitialState; } });
var singular_1 = require("./singular");
Object.defineProperty(exports, "toSingularAction", { enumerable: true, get: function () { return singular_1.toSingularAction; } });
var types_1 = require("./types/types");
Object.defineProperty(exports, "NodeType", { enumerable: true, get: function () { return types_1.NodeType; } });
